Skip to main content
POST
/
workflow-templates
/
{id}
/
import
Import a workflow template into the test environment
curl --request POST \
  --url https://api.artu.ai/workflow-templates/{id}/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "name": "<string>",
  "overrides": {
    "trigger": {
      "events": [],
      "type": "<unknown>",
      "timeout": "72h",
      "condition": {
        "type": "<unknown>",
        "field": "<string>",
        "value": "<string>"
      }
    },
    "graph": {
      "nodes": [],
      "edges": []
    },
    "metadata": {}
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "<string>",
  "name": "<string>",
  "workflow": {
    "nodes": [],
    "edges": []
  },
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "description": "<string>",
  "externalId": "<string>",
  "metadata": {},
  "liveWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "testWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "promotedAt": "<string>",
  "tags": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "color": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 255
overrides
object

Response

200 - application/json

OK

id
string<uuid>
required
organizationId
string
required
environment
enum<string>
required
Available options:
test,
live
name
string
required
status
enum<string>
required
Available options:
draft,
active,
inactive
workflow
object
required
createdAt
string
required
updatedAt
string
required
description
string
externalId
string
metadata
object
liveWorkflowId
string<uuid> | null
testWorkflowId
string<uuid> | null
promotedAt
string | null
tags
object[]